import { getDirname, path } from '@vuepress/utils';
import { logger } from './logger.js';
const __dirname = getDirname(import.meta.url);
export const copyCodePlugin = (options = {}) => (app) => {
    if (app.env.isDebug) {
        logger.info(`Options:\n${JSON.stringify(options, null, '\t')}`);
    }
    return {
        name: '@starkzg/vuepress-plugin-copy-code',
        define: () => ({
            CODE_COPY_OPTIONS: options,
            CODE_COPY_LOCALES: options.locales || {},
        }),
        clientConfigFile: path.resolve(__dirname, '../client/config.js'),
    };
};
//# sourceMappingURL=copyCodePlugin.js.map